#include "timer.hpp" 

Timer::Timer(int i) 
    : counter(0), level(i), tr(false)  
{
}

int Timer::getValue() 
{
    return counter;
}

int Timer::getLevel()
{
    return level;
}

void Timer::reset()
{
    counter = 0;
    tr = false;
}

bool Timer::increment() 
{
    counter++;
    if (counter > level) {
        counter =0;
        tr = true;
    }
    return tr;
}

bool Timer::trigger() 
{
    bool t = tr;
    tr = false;
    return t;
}
